package com.quansu.heifengwuliu.activity

import com.quansu.heifengwuliu.R
import com.quansu.heifengwuliu.base.MBActivity
import com.quansu.heifengwuliu.databinding.ActivityPersonalVerifyBinding
import com.quansu.heifengwuliu.repository.PersonalVerifyRepository
import com.quansu.heifengwuliu.vmodel.PersonalVerityVModel
import com.ysnows.base.base.BRepository

class PersonalVerityActivity : MBActivity<PersonalVerityVModel, ActivityPersonalVerifyBinding>() {

    override fun binding(): ActivityPersonalVerifyBinding {
        return ActivityPersonalVerifyBinding.inflate(layoutInflater)
    }


    override fun vmClass(): Class<PersonalVerityVModel> {
        return PersonalVerityVModel::class.java
    }

    override fun createRepository(): BRepository {
        return PersonalVerifyRepository()
    }


    override fun title(): String? {
        return getString(R.string.identity_verify)
    }
}